[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| WignerMatrix< Real > Class Template Reference |

computation of Wigner D matrix + rotation functions in SH,VH and R³ More...

`#include <vigra/wigner-matrix.hxx>`

## Public Member Functions

void | compute_D (int band)
| Compute D with fixed theta = pi/2, phi=0, psi=0. More...
void | compute_D (int l, Real phi, Real theta, Real psi)
| Compute D for arbitrary rotations. More...
const Matrix< Complex > & | get_D (int l) const
| Return the rotation matrix D for the lth band. More...
Complex | get_D (int l, int n, int m) const
| Get the (n,m) entry of D. More...
void | rotatePH (NestedArray const &PH, Real phi, Real theta, Real psi, NestedArray &PHresult)
| Rotate in PH. More...
| WignerMatrix (int l_max)
| constructor More...

## Detailed Description

### template<class Real>
class vigra::WignerMatrix< Real >

computation of Wigner D matrix + rotation functions in SH,VH and R³

All rotations in Euler zyz' convention

WARNING: not thread safe! use a new instance of WignerMatrix for each thread!!!

## Constructor & Destructor Documentation

## ◆ WignerMatrix()

WignerMatrix | ( | int | l_max | ) |

constructor

Parameters

  l_max | maximum expansion band (used to pre-compute the D matrix)

## Member Function Documentation

## ◆ compute_D() [1/2]

void compute_D | ( | int | band | ) |

Compute D with fixed theta = pi/2, phi=0, psi=0.

Parameters

  band | expansion band

FIXME: compute_D(l, 0.0, M_PI / 2.0, 0.0) creates the transposed matrix!

## ◆ compute_D() [2/2]

void compute_D | ( | int | l,
|  | Real | phi,
|  | Real | theta,
|  | Real | psi
| ) |  |

Compute D for arbitrary rotations.

Parameters

  l | expansion band
  phi | rotation angle
  theta | rotation angle
  psi | rotation angle

## ◆ get_D() [1/2]

Complex get_D | ( | int | l,
|  | int | n,
|  | int | m
| ) |  | const

Get the (n,m) entry of D.

Parameters

  l | expansion band
  n |
  m |

## ◆ get_D() [2/2]

const Matrix<Complex>& get_D | ( | int | l | ) | const

Return the rotation matrix D for the lth band.

Parameters

  l | expansion band

## ◆ rotatePH()

void rotatePH | ( | NestedArray const & | PH,
|  | Real | phi,
|  | Real | theta,
|  | Real | psi,
|  | NestedArray & | PHresult
| ) |  |

Rotate in PH.

Parameters

  PH | input PH expansion
  phi | rotation angle
  theta | rotation angle
  psi | rotation angle

Return values

  PHresult | PH expansion

The documentation for this class was generated from the following file:

- vigra/wigner-matrix.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.1